Package weka.gui

# Class SysErrLog

java.lang.Object
weka.gui.SysErrLog

All Implemented Interfaces:
  `Logger`

public class SysErrLog extends Object implements Logger
This Logger just sends messages to System.err.

Version:
  $Revision: 7059 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`SysErrLog()`

## Method Summary

Modifier and Type
Method
Description
`void`
`logMessage(String message)`
Sends the supplied message to the log area.
`void`
`statusMessage(String message)`
Sends the supplied message to the status line.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SysErrLog

public SysErrLog()

## Method Details

### logMessage

public void logMessage(String message)
Sends the supplied message to the log area. The current timestamp will be prepended.

Specified by:
  `logMessage` in interface `Logger`
Parameters:
  `message` - a value of type 'String'

### statusMessage

public void statusMessage(String message)
Sends the supplied message to the status line.

Specified by:
  `statusMessage` in interface `Logger`
Parameters:
  `message` - the status message